# Deprecated API

## Contents

- Methods

Deprecated Methods
Method
Description
org.eclipse.gef.mvc.fx.domain.HistoricizingDomain.getTools()
Will be removed in 6.0.0. Please use `HistoricizingDomain.getGestures()` instead.
org.eclipse.gef.mvc.fx.domain.IDomain.getTools()
Will be removed in 6.0.0. Please use `IDomain.getGestures()` instead.
org.eclipse.gef.mvc.fx.parts.IBendableContentPart.getBendableVisual()
This method is no longer used as part of the `IBendableContentPart` contract. Reason is that IBendableContentPart is no longer bound to a `Connection` visual, while it still provides default behavior for that specific case.